glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Glib::Thread::Exit Class Reference

Exception class used to exit from a thread. More...

`#include <glibmm/thread.h>`

## Detailed Description

Exception class used to exit from a thread.

throw Glib::Thread::Exit();

Write this if you want to exit from a thread created by Thread::create(). Of course you must make sure not to catch Thread::Exit by accident, i.e. when using `catch(...)` somewhere in your code.

Deprecated:
  Use Glib::Threads::Thread::Exit instead.